set more off

*** counties ***

use dataset, clear

replace treatyear = treatyear - 1
replace treatyear = 0 if treat == 0

keep if year == 2009
collapse treatyear x_cc y_cc, by(county_name year _cid)

gen treat = treatyear != 0
replace treat = . if mi(treatyear)
replace treatyear = . if treatyear == 0
tostring treatyear, replace
replace treatyear = substr(treatyear, 3, 2)

#delimit;

spmap
	treat
		using "dataset_coords_counties"
		,
			id(_cid) 
			fcolor(gs13 gs11)
  			ndfcolor(white)
			ndocolor(white)
			ocolor(white white white)
 			legend(
				order(
					3 "Switched"
					2 "Did Not"			
				)
				size(medium)
				symysize(large)
				symxsize(large)
				rowgap(0)
				
			)		
			label(label(treatyear) xcoo(x_cc) ycoo(y_cc))
 			name(g1, replace)
			;

#delimit cr

*** districts ***

use dataset, clear
keep if year == 2009

replace treatyear = treatyear - 1
replace treatyear = 0 if treat == 0

#delimit;

spmap
	treat
		using "dataset_coords_districts"
		,
			id(_did) 
			clmethod(unique)
			fcolor(gs13 gs11)
			ndfcolor(white)
			ndocolor(white)
			ocolor(white white white white white white white white white)
			mocol(white white white)
			legend(off)
 			name(g2, replace)
			;

#delimit cr

gr combine g1 g2

gr export "output/figure 1.eps", replace
