set more off

use dataset_precincts, clear

duplicates drop precinct, force

forvalues i = 0(1)500 {
	local log`i' = log(`i'+1)
}

keep if !mi(medfaminc) & !mi(nfires2009)

#delimit;

gr tw
	(sc nfires2009 medfaminc, msize(vtiny))
	(lowess nfires2009 medfaminc, clcol(black) clpat(solid) lwid(thick))
	,
		ylab(
			`log0' "0"
			`log1' "1"
			`log5' "5"
			`log10' "10"
			`log25' "25"
			`log50' "50"
			`log100' "100"
			`log200' "200"

			,
				angle(horiz)
		)
		ytitle("Fire Incidents per 1,000 Persons")
		xlab(, format(%20.00fc))
		legend(off)
		plotregion(style(none))
		;

#delimit cr

gr export "output/figure 4.eps", replace

lowess nfires2009 medfaminc, gen(nfiresm) nograph
su medfaminc if !mi(nfiresm)
su nfiresm if medfaminc == r(min)
di exp(r(mean))-1
su medfaminc if !mi(nfiresm)
su nfiresm if medfaminc == r(max)
di exp(r(mean))-1
