set more off

use dataset_elections, clear

tabulate status, gen(status_)

egen nvotes = count(status), by(year)

#delimit;

gr bar (sum) status_*
	,
	over(year, label(angle(45))) 
	stack
	bar(3, col(black) lwid(medium))
	bar(2, col(gs4) lwid(medium))
	bar(1, col(white) lcol(black) lwid(medium))
	ylab(, nogrid angle(horiz))
	ytitle("Number of elections")
	plotregion(style(none))
	legend(
		order(
			3 "All precincts"
			2 "Some precincts"
			1 "No precincts"
		)
		ring(0)
		pos(11)
		rows(3)
		region(lwid(0) lcol(white))
	)
	;

#delimit cr

gr export "output/figure A4.eps", replace
