set more off

use dataset_elections, clear

collapse status treatyear _did, by(gisid)

replace status = 1 if status > 0 & status < 1

gen status2 = 1 if !mi(treatyear) 
replace status2 = 2 if status == 0
replace status2 = 3 if status == 1

keep if !mi(status2)
 
#delimit;

spmap 
	status2
		using "dataset_coords_districts"
		,
			id(_did) 
			clmethod(unique) 
			fcol(gs13 gs8 black)
			ndocolor(white)
			ocolor(white white white white white white white)
 			legend(
				order(
					2 "Adopted referendums"
					3 "Held, no precinct data"
					4 "Held, some or all precinct data"
				)
				size(medium)
				symysize(large)
				symxsize(large)
				rowgap(0)	
				//pos(5)
			)
			;
			
#delimit cr

gr export "output/figure A5.eps", replace
