set more off

use dataset, clear

local X lpopulation pct65plus pctwhite medfaminc 

eststo clear

eststo: areg dpropertytaxrevenue treat i.year, a(district_id) cl(district_id)
estadd local yfe = "Y"
estadd local dfe = "Y"
estadd local setype = "District"
su dpropertytaxrevenue if e(sample) & treat == 0
estadd scalar mymean = r(mean)
eststo: areg dpropertytaxrevenue treat i.year `X', a(district_id) cl(district_id)
estadd local yfe = "Y"
estadd local dfe = "Y"
estadd local setype = "District"
estadd local covariates = "Y"
su dpropertytaxrevenue if e(sample) & treat == 0
estadd scalar mymean = r(mean)
eststo: areg dpropertytaxrevenue treat i.year `X', a(district_id) cl(county_name)
estadd local yfe = "Y"
estadd local dfe = "Y"
estadd local setype = "County"
estadd local covariates = "Y"
su dpropertytaxrevenue if e(sample) & treat == 0
estadd scalar mymean = r(mean)

eststo: areg response_time treat i.year, a(district_id) cl(district_id)
estadd local yfe = "Y"
estadd local dfe = "Y"
estadd local setype = "District"
su response_time if e(sample) & treat == 0
estadd scalar mymean = r(mean)
eststo: areg response_time treat i.year `X', a(district_id) cl(district_id)
estadd local yfe = "Y"
estadd local dfe = "Y"
estadd local setype = "District"
estadd local covariates = "Y"
su response_time if e(sample) & treat == 0
estadd scalar mymean = r(mean)
eststo: areg response_time treat i.year `X', a(district_id) cl(county_name)
estadd local yfe = "Y"
estadd local dfe = "Y"
estadd local setype = "County"
estadd local covariates = "Y"
su response_time if e(sample) & treat == 0
estadd scalar mymean = r(mean)

esttab, se keep(treat) compress

#delimit;

esttab
	using "output/table 1.tex"
	,
		replace
		label
		collabels(none)
		nomtitles
		keep(treat)
		booktabs
		width(\hsize)
		gap
		cells(b(fmt(2)) se(par))
		mgroups(
			"Property Tax Growth (Percent)" "Response Times (Minutes)"
			,
				pattern(1 0 0 1 0 0)
				prefix(\multicolumn{@span}{c}{) suffix(})
				span erepeat(\cmidrule(lr){@span})
		)		
		stats(
			N yfe dfe covariates setype mymean,
			label(
				"Observations"
				"Year FE"
				"County FE"
				"Covariates"
				"Clustering"
				"E[Y | Untreated]"
			)
			fmt(
				"%20.00fc"
				0
				0
				0
				0
				"%20.02fc"
			)
		)
		;
		
#delimit cr

