set more off

use dataset_precincts, clear

keep if !mi(pctyes) & !mi(nfires2009)

su lmedfaminc

replace lmedfaminc = (lmed - r(min)) / (r(max) - r(min))
su lmedfaminc, det

local X pctwhite lpopulation pct65plus

eststo clear
foreach y in nfires2009 pctyes passed {
	eststo: reg `y' lmedfaminc, cl(district)
	preserve
		replace lmedfaminc = 0
		predict y0, xb
		replace lmedfaminc = 1
		predict y1, xb
		su y1
		estadd scalar y1 = `r(mean)'
		if "`y'" == "nfires2009" estadd scalar y1 = exp(`r(mean)')-1, replace
		su y0
		estadd scalar y0 = `r(mean)'
		if "`y'" == "nfires2009" estadd scalar y0 = exp(`r(mean)')-1, replace	
	restore
	eststo: reg `y' lmedfaminc `X', cl(district)
	preserve
		replace lmedfaminc = 0
		predict y0, xb
		replace lmedfaminc = 1
		predict y1, xb
		su y1
		estadd scalar y1 = `r(mean)'
		if "`y'" == "nfires2009" estadd scalar y1 = exp(`r(mean)')-1, replace
		su y0
		estadd scalar y0 = `r(mean)'
		if "`y'" == "nfires2009" estadd scalar y0 = exp(`r(mean)')-1, replace
		estadd local covariates = "Y"	
	restore	
}

#delimit;

esttab
	using "output/table 2.tex"
	,
		replace
		label
		booktabs
		width(\textwidth)		
		collabels(none)
		gap
		cells(b(fmt(2)) se(par))		
		keep(lmedfaminc) 
		nomtitles
		mgroups(
			"Structure Fires (Logged)" "Percent Yes" "Voted in Favor"
			,
				pattern(1 0 1 0 1 0)
				prefix(\multicolumn{@span}{c}{) suffix(})
				span erepeat(\cmidrule(lr){@span})
		)				
		stats(N covariates y0 y1,
			label(
				"Observations"
				"Covariates"
				"E[Y | Low Income]"
				"E[Y | High Income]"
			)
			fmt(
				"%20.00fc"
				0
				"%20.02fc"
				"%20.02fc"
			)
		)
		;
		
#delimit cr
