set more off

use dataset, clear

xtset district_id year

local X lpopulation pct65plus pctwhite medfaminc
replace pct65plus = pct65plus*100
replace pctwhite = pctwhite*100
replace medfaminc = medfaminc / 1000

*** label ***

label variable lpopulation "Population"
label variable pct65plus "Share 65 and older"
label variable pctwhite "Share white"
label variable medfaminc "Median income"

replace dprop = dprop/1.8

eststo clear
eststo: reg response_time dprop, cl(gisid)
estadd local spe = "OLS"

eststo: reg response_time dprop `X', cl(gisid)
estadd local spe = "OLS"

eststo: reg response_time dprop i.year `X', cl(gisid)
estadd local yfe = "Y"
estadd local spe = "OLS"

eststo: areg response_time dprop i.year `X', cl(gisid) a(gisid)
estadd local yfe = "Y"
estadd local dfe = "Y"
estadd local spe = "OLS"

eststo: xtivreg response_time (dprop=treat) `X' i.year, fe vce(cluster district_id) first
estadd local yfe = "Y"
estadd local dfe = "Y"
estadd local spe = "2SLS"

#delimit;

esttab
	using "output/table A4.tex"
	,
		replace
		label
		collabels(none)
  		booktabs
		nomtitles
		width(\hsize)
		gap
		drop(*year*)
		cells(b(fmt(3) star) se(par))	
 		stats(
			N
			yfe
			dfe
			spe
			,
			label(
				"Observations"
				"Year FE"
				"District FE"
				"Estimator"
			)
			fmt(
				"%20.00fc"			
			)
		)
		;
		
#delimit cr
